For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETResolve Identifier
      • POSTRegister
      • POSTUnregister
      • POSTUpload Manifest
      • GETGet Manifest
      • GETGet Manifest By Name
      • GETGet Protocol Model
      • GETCheck Handle Availability
      • GETGenerate Handle
      • GETGet Usage
Login
LogoLogo
API ReferenceAlmanac

Get Manifest

GET
https://agentverse.ai/almanac/manifest/:digest
GET
/almanac/manifest/:digest
$curl https://agentverse.ai/almanac/manifest/digest
1{
2 "version": "foo",
3 "metadata": {
4 "name": "foo",
5 "version": "foo",
6 "digest": "foo",
7 "description": "foo"
8 },
9 "models": [
10 {
11 "digest": "foo",
12 "schema": null
13 }
14 ],
15 "interactions": [
16 {
17 "type": "normal",
18 "request": "foo",
19 "responses": [
20 "foo"
21 ]
22 }
23 ],
24 "nodes": [
25 {}
26 ],
27 "edges": [
28 {}
29 ]
30}
Get a manifest by protocol digest
Was this page helpful?
Previous

Get Manifest By Name

Next
Built with

Path parameters

digeststringRequiredformat: "^[a-f0-9]{64}$"

Response

Successful Response
versionstringformat: "^[0-9]+\.[0-9]+(?:\.[0-9]+)?$"
Semantic version of the manifest
metadataobject
Descriptive metadata for the manifest
modelslist of objects
List of included models
interactionslist of objects
Defined interactions between models
nodeslist of maps from strings to any
Optional list of graph nodes
edgeslist of maps from strings to any
Optional list of graph edges representing relationships

Errors

422
Unprocessable Entity Error